Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class Schema

    java.lang.Object
      com.compoze.collab.Schema

public class Schema
extends java.lang.Object

Exposes information about a schema in the API. A schema is a set of items and their properties, containers, enumerations and operations that can be performed on the items and containers. Schemas can extend other schemas, which means that they support all of the items in the super schema, and possibly extend those items as well.

Method Summary
`ContainerClass[]` | `getContainerClasses()` Gets the container classes defined for the schema.
`CollabEnum` | `getEnum(java.lang.String sInternalName)` Gets an enumeration by its internal name.
`CollabEnum[]` | `getEnums()` Gets the enumerations used in the schema.
`java.lang.String` | `getInternalName()` Gets the internal name of the schema.
`ItemClass[]` | `getItemClasses()` Gets the item classes defined for the schema.
`ItemOperation[]` | `getOperations()` Gets the operations defined for items in the schema.
`java.lang.String` | `getPackageName()` Gets the package name where schema classes and resources are located.
`RootContainerClass[]` | `getRootContainerClasses()` Gets the root container classes defined for the schema.
`Schema` | `getSuperSchema()` Gets the schema that this schema inherits from, if any.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInternalName

    public java.lang.String getInternalName()

  Gets the internal name of the schema.

  Returns:
    the internal name (not `null`)

### getPackageName

    public java.lang.String getPackageName()

  Gets the package name where schema classes and resources are located.

  Returns:
    the package name (not `null`)

### getEnums

    public CollabEnum[] getEnums()

  Gets the enumerations used in the schema.

  Returns:
    the enums (an empty array if no enumerations are specified)

### getEnum

    public CollabEnum getEnum(java.lang.String sInternalName)

  Gets an enumeration by its internal name.

  Parameters:
    `sInternalName` - the internal name (not `null`)
  Returns:
    the enumeration

### getOperations

    public ItemOperation[] getOperations()

  Gets the operations defined for items in the schema.

  Returns:
    the operations (an empty array if no operations are specified)

### getItemClasses

    public ItemClass[] getItemClasses()

  Gets the item classes defined for the schema.

  Returns:
    the item classes (an empty array if no item classes exist in the schema)

### getContainerClasses

    public ContainerClass[] getContainerClasses()

  Gets the container classes defined for the schema.

  Returns:
    the container classes (an empty array if no root container classes exist in the schema)

### getRootContainerClasses

    public RootContainerClass[] getRootContainerClasses()

  Gets the root container classes defined for the schema.

  Returns:
    the root container classes (an empty array if no root container classes exist in the schema)

### getSuperSchema

    public Schema getSuperSchema()

  Gets the schema that this schema inherits from, if any.

  Returns:
    the super schema (may be `null`, for the collab schema itself)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.